<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_PROJECT_CREDIT_NOTE_INQ';
if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/inventory.inc");
include_once($path_to_root . "/includes/data_checks.inc");
include_once($path_to_root . "/projects/includes/db/project_credit_notes_inquiry_db.inc");


$js = '';

if ($SysPrefs->use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}

if (user_use_date_picker()) {
	$js .= get_js_date_picker();
}

page($help_context = "Approve Project Credit Note Inquiry", false, false, "", $js);
//---------------------------------------------------------------------------------------------

simple_page_mode(true);

if (isset($_GET['order_no']))
{
    $_POST['order_no'] = $_GET['order_no'];
}

function selected_id($row)
{
    return get_project_trans_view_str(ST_PROJECT_CREDIT_NOTE, $row['order_no']);  
}

function project_description($row)
{
    return $row['project_description'];
}

function customer_name($row)
{
    return $row['customer_name'];
}

function branch_name($row)
{
    return $row['branch_name'];
}

function reference($row)
{
    return $row['reference'];
}

function order_date($row)
{
   return sql2date($row['ord_date']);
}

//function payment_terms($row)
//{
//    return $row['payment_terms'];
//}

function project_invoice($row)
{
    if($row['project_invoice_id'] > 0){       
        return $row['pi_selected_id']." - ".$row['pi_reference']." - ".sql2date($row['pi_order_date'])." - ".$row['pi_total'];
    }else{
        null;
    }
}


function edit_link($row) 
{
    $modify = "PCN_No";   
        
    return pager_link(_("Edit"), "/projects/project_credit_notes.php?$modify=". $row['order_no'], ICON_EDIT);   
   
}

//--------------------------------------------------------------------------------------------------


if ($Mode == 'RESET')
{
	$selected_id = -1;
}

if (isset($_POST['_selected_id_update']) )
{
	$selected_id = $_POST['selected_id'];
	//$Ajax->activate('_page_body');
}

//if (list_updated('employee_code')) 
	$Ajax->activate('_page_body');
//--------------------------------------------------------------------------------------------------


start_form();
//start_table();
//    start_row();
//        ref_cells("ID:", 'selected_id');
//        ref_cells("Reference:", 'reference');        
//        ref_cells("Project Invoice ID:", 'invoice_id');
//        submit_cells('SearchOrders', _("Search"),'',_('Search'), 'default');
//    end_row();  
 
//end_table(1);

//---------------------------------------------------------------------------------------------


//$selected_id = "";
//if(isset($_POST['selected_id'])){
//  $selected_id = $_POST['selected_id'];
//}

//$reference = "";
//if(isset($_POST['reference'])){
//  $reference = $_POST['reference'];
//}

//$invoice_id = "";
//if(isset($_POST['invoice_id'])){
//  $invoice_id = $_POST['invoice_id'];
//}


$current_user_id = $_SESSION['wa_current_user']->user;

$sql = get_sql_for_approve_project_credit_note_inquiry($current_user_id);    
                                                       
                                                      
 $cols = array(_("ID")=> array('fun'=>'selected_id'),
                _("Reference")=>array('fun'=>'reference','align'=>'center'),   
                _("Project")=> array('fun'=>'project_description'),
                _("Customer")=> array('fun'=>'customer_name','align'=>'center'),
                _("Branch")=> array('fun'=>'branch_name','align'=>'center'),
               // _("Payment Terms")=>array('fun'=>'payment_terms','align'=>'center'),               
                _("Order Date")=>array('fun'=>'order_date','align'=>'left'),                         
                _("Project Invoice")=>array('fun'=>'project_invoice','align'=>'center'),
             
            );

    array_append($cols, array(
		
		array('insert'=>true, 'fun'=>'edit_link')));

//---------------------------------------------------------------------------------------------------

$table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

$table->width = "90%";

display_db_pager($table);

br();

if (!@$_GET['popup'])
{
    end_form();
    end_page();
}	


?>
